package com.engine.kq.entity;

/***
 * 工作时间范围
 */
public class TimeScopeEntity {
  private String beginTime;
  /**
   * 是否跨天到后一天
   */
  private boolean beginTimeAcross;
  /**
   * 是否跨天到前一天
   */
  private boolean beginTimePreAcross;
  private String endTime;
  private boolean endTimeAcross;
  private int workMins;
  private TimeSignScopeEntity timeSignScopeEntity;

  public String getBeginTime() {
    return beginTime;
  }

  public void setBeginTime(String beginTime) {
    this.beginTime = beginTime;
  }

  public boolean getBeginTimeAcross() {
    return beginTimeAcross;
  }

  public void setBeginTimeAcross(boolean beginTimeAcross) {
    this.beginTimeAcross = beginTimeAcross;
  }

  public String getEndTime() {
    return endTime;
  }

  public void setEndTime(String endTime) {
    this.endTime = endTime;
  }

  public boolean getEndTimeAcross() {
    return endTimeAcross;
  }

  public void setEndTimeAcross(boolean endTimeAcross) {
    this.endTimeAcross = endTimeAcross;
  }

  public int getWorkMins() {
    return workMins;
  }

  public void setWorkMins(int workMins) {
    this.workMins = workMins;
  }

  public TimeSignScopeEntity getTimeSignScopeEntity() {
    return timeSignScopeEntity;
  }

  public void setTimeSignScopeEntity(TimeSignScopeEntity timeSignScopeEntity) {
    this.timeSignScopeEntity = timeSignScopeEntity;
  }

  public boolean isBeginTimePreAcross() {
    return beginTimePreAcross;
  }

  public void setBeginTimePreAcross(boolean beginTimePreAcross) {
    this.beginTimePreAcross = beginTimePreAcross;
  }
}
